Archived

This topic is now archived and is closed to further replies.

AviatorMan

Twotter Extended system requirements

Recommended Posts

Think I am ready to buy it.  Reading Aerosoft's site not clear if it requires Acceleration Pack or just SP2 or Acceleration Pack, one or the other.  I have FSX basic plus SP1 and SP2 but do not have the Acceleration Pack.  Am I compatible for the Twotter Extended ?  Can anyone help?

Share this post


Link to post
Share on other sites
Help AVSIM continue to serve you!
Please donate today!

It says "SP2, Acceleration or Gold", which means either one of them (Gold being the same as FSX+ACC), so you meet this requirement for sure!

Share this post


Link to post
Share on other sites